/**
 * errores
 *
 * Author: Alberto Pelarda
 * Creation date: 01/04/2016
 */
 

#include "errores.h"
//#include "regtable.h"

/**
 * error
 *
 * Error handler.
 *
 * @param code Code for the detected error
 */
void error (int code)
{
  int i;
  
  // When error is detected the program will remain in this loop
  while(1)
  {
    // One long blink
    digitalWrite(LED, HIGH);
    delay(2000);
    digitalWrite(LED, LOW);
    delay(1000);
    
    // Short blink n times to determine error
    for(i=0; i < code; i++)
    {
        digitalWrite(LED, HIGH);
        delay(200);
        digitalWrite(LED, LOW);
        delay(500); 
    }
    delay(1000);
  }
}

