/**
 * define_type.h
 *
 * Author: Alberto Pelarda
 * Creation date: 01/04/2016
 */

#ifndef _DEFINE_IO_TYPE_H
#define _DEFINE_IO_TYPE_H

/**
 * Definition of I/O types and common constants
 */

#define BINARY_INPUT  1L
#define BINARY_OUTPUT 2L
#define ANALOG_INPUT  3L
#define PWM_OUTPUT    4L

#define TRUE 1
#define FALSE 0

#define NUM_IO_PORTS 16

/**
 * Definition of used I/O pins
 */
byte def_pins[NUM_IO_PORTS]={ 0,1,2,3,4,5,6,7,8,9,10,11,12,14,15,16};

#endif
